Subject: Thanks for picking this up again

From: aecepoglu <[email-masked]>
Date: Sun, 20 Jul 2025 09:33:43 +0100

Thanks Lee Thompson for picking this up again. I had forgotten about #69023 and will suggest closing it in favour of this.

Also many thanks to Cayetano Santos for their assistance with the patch.

As for Singeli: Singeli as library: a package exposing source code will work. Conceptually though it is an interpreter/compiler and better served as an executable. That was an effort I didn't feel comfortable taking on at the time :)

As for REPLXX: Unlike libffi which is a functional feature, REPLXX is strictly a UX feature that I don't use and didn't want to spend time with but I appreciate you having done so.

Looking forward to the patch making it upstream.

- aecepoglu